#include <windows.h>
#include "nsmplugin.h"

const static char *PluginInfo[] = {
	NSM_API_VERSION,                     // API Version
	"AddIn/aam",                         // Module Name
	"An Answering Machine on Regnessem", // Plugin Title
	"An Answering Machine on Regnessem", // Description
	"Moon",                              // Author
	"Copyright (c) 2004 Moon",           // Copyright
	"0.0.1",                             // Version
};

BOOL WINAPI DllMain(HINSTANCE hInstance, ULONG ulReason, LPVOID pvReserved)
{
	switch (ulReason) {
	case DLL_PROCESS_ATTACH:
		break;
	case DLL_PROCESS_DETACH:
		break;
	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
		// multi-thread is not supported
		return FALSE;
	}
	return TRUE;
}

// DLL Export Functions

int __stdcall GetPluginInfo(int nInfoNo, LPTSTR lpBuffer, int nSize)
{
	if (nInfoNo < 0 || nInfoNo > sizeof(PluginInfo)/sizeof(PluginInfo[0])) {
		// Unknown Information Number
		return 0;
	} else {
		lstrcpyn(lpBuffer, PluginInfo[nInfoNo], nSize);
		return lstrlen(lpBuffer);
	}
}

int __stdcall Initialize(PNsmPluginInitInfo lpInitInfo)
{
	return 0;
}

int __stdcall Terminate()
{
	return 0;
}
